<?php

/**
 * Generated by the WordPress Meta Box generator
 * at http://jeremyhixon.com/tool/wordpress-meta-box-generator/
 */

function asin_get_meta( $value ) {
    global $post;

    $field = get_post_meta( $post->ID, $value, true );
    if ( ! empty( $field ) ) {
        return is_array( $field ) ? stripslashes_deep( $field ) : stripslashes( wp_kses_decode_entities( $field ) );
    } else {
        return false;
    }
}

function jabbadu_asin_add_meta_box() {
    add_meta_box(
        'asin-asin',
        __( 'ASIN', 'asin' ),
        'jabbadu_asin_html',
        'post',
        'side',
        'default'
    );
}
add_action( 'add_meta_boxes', 'jabbadu_asin_add_meta_box' );

function jabbadu_asin_html( $post) {
    wp_nonce_field( '_asin_nonce', 'asin_nonce' ); ?>

    <p>
        <label for="jabbadu_amazon_asin"><?php _e( 'Amazon ASIN', 'asin' ); ?></label><br>
        <input type="text" name="jabbadu_amazon_asin" id="jabbadu_amazon_asin" value="<?php echo asin_get_meta( 'jabbadu_amazon_asin' ); ?>">
    </p><?php
}

function jabbadu_asin_save( $post_id ) {
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
    if ( ! isset( $_POST['asin_nonce'] ) || ! wp_verify_nonce( $_POST['asin_nonce'], '_asin_nonce' ) ) return;
    if ( ! current_user_can( 'edit_post', $post_id ) ) return;

    if ( isset( $_POST['jabbadu_amazon_asin'] ) )
        update_post_meta( $post_id, 'jabbadu_amazon_asin', esc_attr( $_POST['jabbadu_amazon_asin'] ) );
}
add_action( 'save_post', 'jabbadu_asin_save' );

/*
    Usage: asin_get_meta( 'jabbadu_amazon_asin' )
*/


// PRODUKTKATEGORIE ANLEGEN
function jabbadu_insert_category() {
    wp_insert_term(
        'Produkt',
        'category',
        array(
          'description' => 'Hier kommen alle Produkte rein - Diesen Text kannst du in Beiträge -> Kategorien bearbeiten',
          'slug'        => 'produkt'
        )
    );
}
add_action( 'after_setup_theme', 'jabbadu_insert_category' );

//Gets post cat slug and looks for single-[cat slug].php and applies it
add_filter('single_template', create_function(
    '$the_template',
    'foreach( (array) get_the_category() as $cat ) {
        if ( file_exists(get_template_directory() . "/single-{$cat->slug}.php") )
        return get_template_directory() . "/single-{$cat->slug}.php"; }
    return $the_template;' )
);